Data Hub
Files

Cancel a multipart upload

Requires scope `runs:upload`. PAT only. Cancels the in-progress S3 upload and clears it from the file.

DELETE
/files/{fileId}/multipart-upload

Requires scope runs:upload. PAT only. Cancels the in-progress S3 upload and clears it from the file.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal access tokens begin with dhub_… and are restricted by their assigned scopes.

In: header

Path Parameters

fileId*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/files/1/multipart-upload" \  -H "Content-Type: application/json" \  -d '{    "upload_id": "string"  }'
{  "file_id": 0,  "aborted": true}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}